Bug 484221 - Error running ***: Cannot allocate memory
Error running ***: Cannot allocate memory
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 10:24 EST by Karel Volný
Modified: 2010-02-12 15:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-12 15:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (52.40 KB, application/x-bzip2)
2009-02-05 10:24 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2009-02-05 10:24:30 EST
Created attachment 330995 [details]
anaconda dump

Description of problem:
It looks like the installation eats up too much memory. The installation fails after installing the packages. See the attached log.

Version-Release number of selected component (if applicable):
RHEL5.3-Server-20090106.0-x86_64-DVD.iso

How reproducible:
always

Steps to Reproduce:
1. Try to install RHEL 5.3 on machine (virtual guest) with 512 MiB RAM.
2. During partitioning, select Create custom layout.
3. Do not create swap partition.

Actual results:
installation fails

Expected results:
system installed without any problems

Additional info:
https://www.redhat.com/rhel/compare/ says that the 512 MB RAM fits the minimal requirements for AMD64 (= x86_64)

http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Installation_Guide/ch04s18s04s02.html says that a swap partition is recommended, not mandatory. Even if we would agree to the premise that swap is really needed, it makes sense not to require swap partition, as you may use a swapfile instead (which can - and most probably would - be done later, and thus the installer cannot rely on it).
Comment 1 Aditya Khune 2009-07-26 13:53:29 EDT
After creating boot partition a small space of 2 MB is automatically gets created and then it says can not allocate memory for root partition as space for allocation is not sufficient though there is enough space for root partition.
Comment 2 Chris Lumens 2010-02-12 15:16:51 EST
I don't know that there's really all that much we can do, unfortunately.  The number of components that anaconda uses is really quite extensive and becoming moreso all the time, making it difficult to figure out where the memory work needs to be done.  It's likely to be yum in this instance, but that's not always easy to pinpoint.

yum is constantly working on performance enhancements.  We've made some changes in RHEL6/rawhide anaconda to store the install image where it won't consume so much memory.  However, none of those fixes are good backport candidates.  My only real advise is that if you've got the recommended amount of memory and are still seeing memory-related problems, go with a swap partition and anaconda will make use of that as soon as it's formatted.

Note You need to log in before you can comment on or make changes to this bug.